--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Instantiate a TrueType font given by <tt>fontname</tt> (either a pathname or a fontconfig pattern if fontconfig is enabled) and <tt>ptsize</tt> (a point size given as a floating point number).
- !ruby/struct:SM::Flow::P 
  body: "The possible <tt>options</tt> are:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "-"
    body: ":linespacing =&gt; The desired line spacing for multiline text, expressed as a multiple of the font height. A line spacing of 1.0 is the minimum to guarantee that lines of text do not collide. The default according to GD is 1.05."
  - !ruby/struct:SM::Flow::LI 
    label: "-"
    body: ":charmap =&gt; Specify a preference for Unicode, Shift_JIS, or Big5 character encoding. Use one of the constants Font::TrueType::CHARMAP_UNICODE, Font::TrueType::CHARMAP_SHIFT_JIS, or Font::TrueType::CHARMAP_BIG5."
  - !ruby/struct:SM::Flow::LI 
    label: "-"
    body: ":hdpi =&gt; The horizontal resolution hint for the rendering engine. The default according to GD is 96 dpi."
  - !ruby/struct:SM::Flow::LI 
    label: "-"
    body: ":vdpi =&gt; The vertical resolution hint for the rendering engine. The default according to GD is 96 dpi."
  - !ruby/struct:SM::Flow::LI 
    label: "-"
    body: ":dpi =&gt; A shortcut to specify both :hdpi and :vdpi."
  - !ruby/struct:SM::Flow::LI 
    label: "-"
    body: ":kerning =&gt; A boolean to specify whether kerning tables should be used, if fontconfig is available. The default is <b>true</b>."
  type: :BULLET
full_name: GD2::Font::TrueType::new
is_singleton: true
name: new
params: (fontname, ptsize, options = {})
visibility: public
